%define		status		stable
%define		pearname	XML_RPC2
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - XML-RPC client/server library
Summary(pl.UTF-8):	%{pearname} - biblioteka XML-RPC typu klient-serwer
Name:		php-pear-%{pearname}
Version:	1.1.2
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	bc37d9b321cfeba56a5b62856e36f141
URL:		http://pear.php.net/package/XML_RPC2/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(core) >= 5.0.0
Requires:	php(curl)
Requires:	php-pear
Requires:	php-pear-Cache_Lite >= 1.6.0
Requires:	php-pear-HTTP_Request2 >= 2.0.0
Requires:	php-pear-PEAR-core >= 1:1.0-0.b1
Obsoletes:	php-pear-XML_RPC2-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML_RPC2 is a pear package providing XML_RPC client and server
services.

XML-RPC is a simple remote procedure call protocol built using HTTP as
transport and XML as encoding.

As a client library, XML_RPC2 is capable of creating a proxy class
which exposes the methods exported by the server. As a server library,
XML_RPC2 is capable of exposing methods from a class or object
instance, seamlessly exporting local methods as remotely callable
procedures.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
XML_RPC2 to pakiet pear dostarczający usług typu klient-serwer.

XML-RPC to prosty protokół zdalnego wykonywania procedur (Remote
Procedure Call, RPC) stworzony przy użyciu HTTP jako transportu i XML
jako nośnika danych.

Jako biblioteka kliencka, XML_RPC2 potrafi stworzyć klasę
pośredniczącą która ujawni metody eksportowane przez serwer. Jako
biblioteka serwera, XML_RPC2 może eksportować lokalne metody do
zdalnie wykonywanych procedur.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/tests/XML_RPC2/tests .
mv docs/XML_RPC2/docs/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/XML/RPC2
%changelog
* Sun Aug 10 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-XML_RPC2.git;a=log;h=master

* Sun Aug 10 2014 Elan Ruusamäe <glen@delfi.ee> de07b01
- up to 1.1.2

* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> ea8ed65
- use php(core) for php engine version deps
- release 2 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 34ce3d9
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 9296223
- up to 1.1.1

* Sun Feb 27 2011 Elan Ruusamäe <glen@pld-linux.org> 427de81
- up to 1.0.8

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 1a77c01
- tests are no longer installed - don't try to remove them

* Mon Oct 11 2010 Elan Ruusamäe <glen@pld-linux.org> 35882fd
- up to 1.0.6

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> f9f573c
- updated deps with pearize.sh
- release 2

* Fri Sep 12 2008 Adam Gołębiowski <adamg@pld-linux.org> 51d7a47
- updated to 1.0.5

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> d934c03
- rel 2

* Wed Aug 22 2007 Adam Gołębiowski <adamg@pld-linux.org> 97bb2ae
- updated to 1.0.2

* Thu Jul 05 2007 Elan Ruusamäe <glen@pld-linux.org> 6bf8c33
- updated to 1.0.1

* Thu Mar 01 2007 Elan Ruusamäe <glen@pld-linux.org> 5fe34a3
- 1.0.0-stable

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 83c6ba4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ee72050
- converted to UTF-8

* Tue Dec 26 2006 Adam Gołębiowski <adamg@pld-linux.org> d957f8a
- updated to 0.0.8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 1a10ff7
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> edff25d
- AutoProv: no for -tests

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 903debc
- 0.0.7

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 38331df
- rel 2 (rebuild with less deps)

